## supybot 0.80.1

=== docs/DocBook/Makefile ===
JADE=/usr/bin/jade
JADETEX=/usr/bin/jadetex
DVIPDF=/usr/bin/dvipdfm
HTMLSTYLESHEET=/usr/share/sgml/docbook/stylesheet/dsssl/modular/html/docbook.dsl
PRINTSTYLESHEET=/usr/share/sgml/docbook/stylesheet/dsssl/modular/print/docbook.dsl 

html: example.sgml capabilities.sgml
	$(JADE) -t xml -d $(HTMLSTYLESHEET) $<

example.dvi: example.sgml
	$(JADE) -t tex -d $(PRINTSTYLESHEET) $<
	$(JADETEX) $(addsuffix .tex, $(basename $<))

example.pdf: example.dvi
	$(DVIPDF) -o $(addsuffix .pdf, $(basename $<)) $<

capabilities.dvi: capabilities.sgml
	$(JADE) -t tex -d $(PRINTSTYLESHEET) $<
	$(JADETEX) $(addsuffix .tex, $(basename $<))

capabilities.pdf: capabilities.dvi
	$(DVIPDF) -o $(addsuffix .pdf, $(basename $<)) $<

clean:
	rm -f *.html

## supybot 0.84.0.ds

=== debian/changelog ===
supybot (0.84.0.ds-1) unstable; urgency=medium

  * New (and final) upstream release.  Limnoria is the successor.
    + Clarified license information (Closes: #597269)
    + Remove colorful "shortened URL is shorter than original URL" error.
      (Closes: #539859)
    + ShrinkUrl: Support cycling through services. (Closes: #539858)
    + Unix: Correctly document behavior of fortune.offensive config variable.
      (Closes: #545780)
    + Fix parsing of URLs with authentication. (Closes: #690879)
    + Math: Restrict factorial function to icalc.  (Closes: #672215)
    + Run functions dealing with untrusted regex in a subprocess, terminating
      them if the exceed a timeout.  (Closes: #672214)
  * control:
    + Add python-setuptools to Build-Depends
    + Bump minimum Python version to 2.6
    + Move packaging to salsa
    + Change Homepage to GitHub
  * Bump debhelper compat to 11
  * Declare compliance with Policy 4.1.4
  * Change source format to 3.0 (quilt)
  * Remove now unnecessary debian/{repack,watch}, since upstream is dead
  * Stop trying to install no longer existent documentation

 -- James McCoy <jamessan@debian.org>  Wed, 09 May 2018 23:27:58 -0400

supybot (0.83.4.1.ds-3) unstable; urgency=medium

  * Switch to dh and dh_python2 rather than python-support.  (Closes: #786003)
  * Move supported Python versions from debian/pyversions to debian/control.
  * Fix debhelper-but-no-misc-depends
  * Declare compliance with Standards-Version 3.9.6

 -- James McCoy <jamessan@debian.org>  Thu, 21 May 2015 14:16:07 -0400

supybot (0.83.4.1.ds-2) unstable; urgency=low

  * debian/watch: Add dversionmangle to remove '.ds' from upstream version.
  * debian/copyright:
    - Remove license information about files which are removed as part of
      repacking the tarball.
    - Update the location of the convertcore.py file.
  * debian/rules:
    - Include /usr/share/python/python.mk.
    - Use $(py_setup_install_args) when running setup.py install.
  * Cherry-pick fix from upstream so the Google plugin can still find the
    simplejson module when both python-simplejson and python-json are
    installed.  (Closes: #533650)

 -- James Vega <jamessan@debian.org>  Tue, 23 Jun 2009 14:25:44 -0400

supybot (0.83.4.1.ds-1) unstable; urgency=low

  * New upstream version.
    - Requesting help for Factoids commands no longer errors out.  (LP: #235439)
    - Regular expressions with multiple backslashes are properly parsed.
      (LP: #235500)
  * debian/control
    - Add Vcs-* fields.
    - Bump standards version to 3.8.1.0 - no changes needed.
    - Add python-feedparser to Recommends.  (Closes: #490615)
    - Add python-simplejson | python (>= 2.6) to Recommends.
    - Add python-dateutil, python-dictclient to Suggests.
    - Add version to debhelper Build-Depends.
  * debian/rules:
    - Use stamp files as pre-requisites instead of the related phony targets.
    - Call dh_prep instead of dh_clean -k.
  * debian/watch: Call new debian/repack script to remove embedded copies of
    third-party code from new upstream tarballs.
  * debian/docs: Include FAQ and CONFIGURATION docs in the package.
  * Bump compat level to 7.

 -- James Vega <jamessan@debian.org>  Fri, 29 May 2009 11:02:00 -0400

supybot (0.83.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add Homepage field and remove the Homepage item from the long
      description.
    - Drop versioned Build-Depends(-Indep) since all the depends are satisfied
      in Etch.
  * Update debian/copyright to reflect new files included in upstream tarball.
  * Cleanup debian/rules a little and move dh_pysupport to binary-indep.

 -- James Vega <jamessan@debian.org>  Thu, 25 Oct 2007 14:05:48 -0400

supybot (0.83.2-2) unstable; urgency=low

  * Update packaging
    + Remove cdbs Build-Depends
    + Re-write debian/rules from scratch, without cdbs.
    + Bump python-support Build-Depends-Indep to (>= 0.4)
    + Add debian/supybot.manpages
  * Add the debian/pyversions file that should've been included last upload.
  * Add the rest of the upstream documentation to the package.

 -- James Vega <jamessan@debian.org>  Sat, 11 Nov 2006 11:00:02 -0500

supybot (0.83.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.7.2 (No changes needed)
  * Update twisted Suggests to python-twisted-core and python-twisted-names.
  * Update for the python transition (closes: #380966)
    + Add Build-Depends-Indep on python-support (>= 0.3)
    + Update minimum debhelper Build-Depends to 5.0.37.2
    + Update minimum cdbs Build-Depends to 0.4.43
    + Bump python-dev Build-Depends to (>= 2.3.5-11)
  * Remove Build-Depend on python since python-dev pulls it in.
  * Update debhelper compatibility to 5
  * Update copyright to reflect the copyrights of extra modules various
    plugins use.
  * Stop installing LICENSE to /usr/share/doc/supybot.

 -- James Vega <jamessan@debian.org>  Tue,  1 Aug 2006 09:14:39 -0400

supybot (0.83.1-1) unstable; urgency=low

  * New upstream release.
    + Upstream has made significant changes.  See changelog.gz and RELNOTES.gz
      for further details.
    + INSTALL file has been updated to solely refer to installation.
      Therefore it does not need to be included.  (Closes: #320031)
  * debian/patches:
    + 00darcs_20051003.diff:
      - Adds supybot-test.1
      - Fixes bugs in the ChannelLogger, Config, and Web plugins.
  * debian/watch: Updated to use the new Sourceforge URL.
  * debian/control: Bump Standards-Version to 3.6.2 (No changes needed)
  * Update email address.

 -- James Vega <jamessan@debian.org>  Mon,  3 Oct 2005 13:48:38 -0400

supybot (0.80.1-4) unstable; urgency=low

  * Updated email address.
  * Add 03_commands.py.diff, prevent nickInChannel from modifying the args
    list which caused a TypeError exception in Channel.kick. (Closes: #308131)

 -- James Vega <jamessan@jamessan.com>  Sun,  8 May 2005 16:30:40 -0400



=== debian/control ===
Source: supybot
Section: net
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends: debhelper (>= 11~), python-dev, dh-python, python-setuptools
Standards-Version: 4.1.4
Homepage: https://github.com/Supybot/Supybot
Vcs-Browser: https://salsa.debian.org/jamessan/supybot
Vcs-Git: https://salsa.debian.org/jamessan/supybot.git
X-Python-Version: >= 2.6

Package: supybot
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-feedparser
Suggests: python-twisted-core, python-twisted-names, python-sqlite, python-dictclient, python-dateutil
Description: robust and user friendly Python IRC bot
 Supybot is a robust (it doesn't crash), user friendly (it's easy
 to configure) and programmer friendly (plugins are *extremely*
 easy to write) Python IRC bot.  It aims to be an adequate
 replacement for most existing IRC bots.  It includes a very
 flexible and powerful ACL system for controlling access to
 commands, as well as more than 50 builtin plugins providing
 around 400 actual commands.
